Get account number
curl --request GET \
--url https://api.prod.finverse.net/account_numbers/{accountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.finverse.net/account_numbers/{accountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.finverse.net/account_numbers/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": {
"account_currency": "HKD",
"account_id": "01FEFKRGCTNYMSTDZWM6WFZVZS",
"account_name": "HKD Checking",
"balance": {
"currency": "HKD",
"raw": "70013.12",
"value": 70013.12
},
"created_at": "2021-09-01T02:42:12.000Z",
"group_id": "01FEFKRGDB5NBPKRQA4CB7HJ30",
"is_closed": false,
"is_excluded": false,
"is_parent": false,
"statement_balance": {
"currency": "HKD",
"raw": "70013.12",
"value": 70013.12
},
"updated_at": "2021-09-01T02:42:12.000Z"
},
"account_number": {
"account_id": "01FEFKRGCTNYMSTDZWM6WFZVZS",
"number": "405123456789",
"raw": "405-123456-789"
},
"institution": {
"countries": [
"HKG"
],
"institution_id": "hsbc-hk",
"institution_name": "HSBC (HK) - Personal",
"portal_name": "HSBC Personal Account"
},
"login_identity": {
"login_identity_id": "01FEFKR1GSJCRDHEN0FZ3DG9GF",
"status": "DATA_RETRIEVAL_COMPLETE"
},
"payment_details": [
{
"bank_address": "Head Office, 1 Queen's Road Central, Hong Kong",
"bank_country": "Hong Kong",
"bank_fullname": "The Hongkong and Shanghai Banking Corporation Limited",
"bank_shortname": "HSBC (Hong Kong)",
"bic": "HSBCHKHHHKH",
"format": "SWIFT",
"other_info": {}
}
]
}Accounts
Get account number
Retrieve account number information for a specific account (using a specific account_id).
Authorization: login_identity_token
account
Full account object, containing account-level balances & metadata for the requested account. See GET /accounts for details
account_number
Full account_number object, containing account number details for the requested account.
institution
Summary Institutions object. See GET /institutions for details.
login_identity
Summary Login Identity object. See GET /login_identity for details.
payment_details
Full payment_details array, containing bank routing details for the requested account.
GET
/
account_numbers
/
{accountId}
Get account number
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The account id